stages:
  - test

test:
  image: cypress/browsers:node12.14.1-chrome85-ff81
  stage: test
  script:
    # install dependencies
    - echo "Installing dependencies -> ci"
    - npm ci
    # start the server in the background
    - echo "start the server in the background"
    - npm run start:ci &
    # run Cypress test
    - echo "Cypress test running"
    - npx cypress run --browser chrome